LSP
POST
Get code completion suggestions from the LSP server
Completion request
application/json- body
context?languageId*stringpathToProject*stringposition*uri*stringOK
application/json- response
isIncomplete*booleanitems*array<>curl -X POST 'https://example.com/lsp/completions' \ -H 'Content-Type: application/json' \ -d '{ "languageId": "string", "pathToProject": "string", "position": { "character": 0, "line": 0 }, "uri": "string"}'{ "isIncomplete": true, "items": [ { "detail": "string", "documentation": null, "filterText": "string", "insertText": "string", "kind": 0, "label": "string", "sortText": "string" } ]}POST
Notify the LSP server that a document has been closed
Document request
application/json- body
languageId*stringpathToProject*stringuri*stringcurl -X POST 'https://example.com/lsp/did-close' \ -H 'Content-Type: application/json' \ -d '{ "languageId": "string", "pathToProject": "string", "uri": "string"}'Empty
POST
Notify the LSP server that a document has been opened
Document request
application/json- body
languageId*stringpathToProject*stringuri*stringcurl -X POST 'https://example.com/lsp/did-open' \ -H 'Content-Type: application/json' \ -d '{ "languageId": "string", "pathToProject": "string", "uri": "string"}'Empty
GET
Get symbols (functions, classes, etc.) from a document
languageId*stringLanguage ID (e.g., python, typescript)
pathToProject*stringPath to project
uri*stringDocument URI
OK
application/json- response
[index: integer]?curl -X GET 'https://example.com/lsp/document-symbols?languageId=string&pathToProject=string&uri=string'[ { "kind": 0, "location": { "range": { "end": { "character": 0, "line": 0 }, "start": { "character": 0, "line": 0 } }, "uri": "string" }, "name": "string" }]POST
Start a Language Server Protocol server for the specified language
LSP server request
application/json- body
languageId*stringpathToProject*stringcurl -X POST 'https://example.com/lsp/start' \ -H 'Content-Type: application/json' \ -d '{ "languageId": "string", "pathToProject": "string"}'Empty
POST
Stop a Language Server Protocol server
LSP server request
application/json- body
languageId*stringpathToProject*stringcurl -X POST 'https://example.com/lsp/stop' \ -H 'Content-Type: application/json' \ -d '{ "languageId": "string", "pathToProject": "string"}'Empty
GET
Search for symbols across the entire workspace
query*stringSearch query
languageId*stringLanguage ID (e.g., python, typescript)
pathToProject*stringPath to project
OK
application/json- response
[index: integer]?curl -X GET 'https://example.com/lsp/workspacesymbols?query=string&languageId=string&pathToProject=string'[ { "kind": 0, "location": { "range": { "end": { "character": 0, "line": 0 }, "start": { "character": 0, "line": 0 } }, "uri": "string" }, "name": "string" }]